@charset "utf-8";
/*================================================
  VT Form - 2020/06/18

  01    Variable
  02    Utility
  03    Object
  -A      Label
  -B      Required and Optional
  -C      Annotation
  -D      Input
  -E      Textarea
  -F      Radio
  -G      Checkbox
  -H      Selectbox
  04    Layout
  -A      Column
  05    Theme
  -A      Solid
  -B      Line
  06*    confirmation
================================================*/

/*------------------------------------------------
  01 Variable
------------------------------------------------*/

:root {
  /* General */
  --default-lineheight: 1.5;  /* ドキュメントのlineheightを入力 */

  /* Layout */
  --layout-column-width: 25%;

  /* Color */
  --primary-color: #005bac;
  --primary-bg-color: #f5f5f5;
  --primary-border-color: #ccc;
  --placeholder-color: #ccc;

  --primary-hover-color: #698ed0;

  /* Object */
  --object-border-style: 1px solid #d8d8d8;
  --object-border-radius: 5px;
  --radio-checkbox-size: 30px;
}


/*------------------------------------------------
  02 Utility
------------------------------------------------*/

.vt-form *:focus {
  outline: none;
}


/*------------------------------------------------
  03 Object
------------------------------------------------*/

/*---------- 03-A Label ----------*/

.vt-form-label {
  display: flex;
  align-items: center;
  font-weight: bold;
}
@media print, screen and (min-width: 769px) {
  .vt-form-label {
      width: 100%;
      justify-content: space-between;
  }
}

/*---------- 03-B Required and Optional ----------*/

.vt-form-label::after {
  display: flex;
  flex-shrink: 0;
  align-items: center;
  margin-left: 10px;
  padding: 5px 10px;
  font-size: 1rem;
  font-weight: normal;
  border-radius: var(--object-border-radius);
}

/* Required */
.vt-form-label.is-required::after {
  content: "必 須";
  color: #fff;
  /*border: 1px solid #DC000C;*/
  background-color: #f66;
}

/* Optional */
.vt-form-label.is-optional::after {
  content: "任 意";
  color: #fff;
  /*border: 1px solid #999;*/
  background-color: #999;
}

@media print, screen and (min-width: 769px) {
  .vt-form-label::after {
    margin-left: 15px;
  }
  .vt-form-label.is-required::after, 
  .vt-form-label.is-optional::after {
  	font-size: 0.8rem;
  }
}

@media print, screen and (min-width: 901px) {
	.vt-form-label::after {
  		padding: 3px 5px;
  		border-radius: 3px;
	}
	.vt-form-label.is-required::after, 
	.vt-form-label.is-optional::after {
  		font-size: 0.7rem;
	}
}

@media print, screen and (min-width: 1001px) {
	.vt-form-label::after {
  		padding: 3px 6px;
	}
	.vt-form-label.is-required::after, 
	.vt-form-label.is-optional::after {
  		font-size: 0.8rem;
	}
}

@media print, screen and (min-width: 1201px) {
	.vt-form-label::after {
  		padding: 4px 8px;
	}
	.vt-form-label.is-required::after, 
	.vt-form-label.is-optional::after {
  		font-size: 1rem;
	}
}

@media print, screen and (min-width: 1401px) {
	.vt-form-label::after {
  		padding: 5px 10px;
  		border-radius: var(--object-border-radius);
	}
	.vt-form-label.is-required::after, 
	.vt-form-label.is-optional::after {
  		font-size: 1.1rem;
	}
}

@media print, screen and (min-width: 1501px) {
	.vt-form-label.is-required::after, 
	.vt-form-label.is-optional::after {
  		font-size: 1.2rem;
	}
}

/*---------- 03-C Annotation ----------*/

.vt-form-annotation {
  width: 100%;
  margin-top: 5px;
  color: #999;
  font-size: 1rem;
}

.vt-form-annotation::before {
  content: "※";
  margin-right: .25em;
}

.vt-form-annotation.is-caution {
  color: #e57373;
}

@media print, screen and (min-width: 769px) {
  .vt-form-annotation {
    font-size: 1.2rem;
  }
}


/*---------- 03-D Input ----------*/

input {
  border: var(--object-border-style);
}

input:focus,
textarea:focus {
  border-color: var(--primary-color);
}

.vt-form-input {
  width: 100%;
  padding: 15px;
  border-radius: var(--object-border-radius);
}

input::placeholder {
  color: var(--placeholder-color);
}

input:-ms-input-placeholder {
  color: var(--placeholder-color);
}

/*---------- 03-E Textarea ----------*/

textarea {
  border: var(--object-border-style);
}

.vt-form-textarea {
  width: 100%;
  /* height: calc(1em * var(--default-lineheight) + 30px);  */
  padding: 15px;
  border-radius: var(--object-border-radius);
}

@media print, screen and (min-width: 901px) {
	.vt-form-input, 
	.vt-form-textarea {
		padding: 10px;
		border-radius: 3px;
	}
}

@media print, screen and (min-width: 1001px) {
	.vt-form-input, 
	.vt-form-textarea {
		padding: 12px;
	}
}

@media print, screen and (min-width: 1401px) {
	.vt-form-input, 
	.vt-form-textarea {
		padding: 13px;
		border-radius: 5px;
	}
}

@media print, screen and (min-width: 1501px) {
	.vt-form-input, 
	.vt-form-textarea {
		padding: 15px;
	}
}


/*---------- 03-F Radio ----------*/

input[type=radio] {
  display: none;
}

.vt-form-radio {
  cursor: pointer;
  display: flex;
  align-items: center;
  position: relative;
  min-width: 50%;
  min-height: var(--radio-checkbox-size);
  padding: 10px 15px 10px calc(var(--radio-checkbox-size) + 15px);
}

.vt-form-radio::before,
.vt-form-radio::after {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  border-radius: 50%;
}

.vt-form-radio::before {
  left: 0;
  width: var(--radio-checkbox-size);
  height: var(--radio-checkbox-size);
  margin-top: calc(var(--radio-checkbox-size) / -2);
}

.vt-form-radio::after {
  left: calc(var(--radio-checkbox-size) / 3);
  width: calc(var(--radio-checkbox-size) / 3);
  height: calc(var(--radio-checkbox-size) / 3);
  margin-top: calc(var(--radio-checkbox-size) / 3 / -2);
  opacity: 0;
}

input[type=radio]:checked + .vt-form-radio::after {
  opacity: 1;
}


/*---------- 03-G Checkbox ----------*/

input[type=checkbox] {
  display: none;
}

.vt-form-checkbox {
  cursor: pointer;
  display: flex;
  align-items: center;
  position: relative;
  min-width: 50%;
  min-height: var(--radio-checkbox-size);
  padding: 10px 15px 10px calc(var(--radio-checkbox-size) + 15px);
}

.vt-form-checkbox::before,
.vt-form-checkbox::after {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
}

.vt-form-checkbox::before {
  left: 0;
  width: var(--radio-checkbox-size);
  height: var(--radio-checkbox-size);
  margin-top: calc(var(--radio-checkbox-size) / -2);
  border-radius: var(--object-border-radius);
}

.vt-form-checkbox::after {
  left: calc(var(--radio-checkbox-size) / 2.75);
  width: calc(var(--radio-checkbox-size) / 4);
  height: calc(var(--radio-checkbox-size) / 2.4);
  margin-top: calc(var(--radio-checkbox-size) / -3.75);
  border-right: calc(var(--radio-checkbox-size) / 15) solid;
  border-bottom: calc(var(--radio-checkbox-size) / 15) solid;
  transform: rotate(45deg);
  opacity: 0;
}

input[type=checkbox]:checked + .vt-form-checkbox::after {
  opacity: 1;
}


/*---------- 03-H Selectbox ----------*/

.vt-form-selectbox-container {
  position: relative;
  width: 100%;
}

.vt-form-selectbox-container::after {
  content: "";
  position: absolute;
  top: calc(50% - 2.5px);
  right: 15px;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 5px 5px 0 5px;
  border-color: var(--primary-color) transparent transparent transparent;
}

.vt-form-selectbox {
  width: 100%;
  padding: 15px;
  border-radius: var(--object-border-radius);
}


/*---------- 03-I Button ----------*/

.vt-form-button-container {
  margin-top: 30px;
}
.vt-form-button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  padding: 15px;
  font-weight: bold;
  border: 1px solid;
  line-height: 3em;
  border-radius: var(--object-border-radius);
}
.vt-form-button.is-submit {
  color: #fff;
  border-color: var(--primary-color);
  background-color: var(--primary-color);
}
.vt-form-button.is-submit:hover {
  border-color: var(--primary-hover-color);
  background-color: var(--primary-hover-color);
}
.vt-form-button.is-return {
  color: var(--primary-color);
  background-color: transparent;
}
.vt-form-button.is-return:hover {
  color: var(--primary-hover-color);
  border-color: var(--primary-hover-color);
}
.vt-form-button.is-submit:disabled {
  color: #ccc;
  border-color: var(--primary-bg-color);
  background-color: var(--primary-bg-color);
  pointer-events: none;
}
.vt-form-confirmation .vt-form-button-container {
  margin: auto;
  width: 100%;
  max-width: 1000px;
}

/*@media print, screen and (min-width: 560px) {
  .vt-form-button-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 50px;
  }

  .vt-form-button {
    width: calc(50% - 15px);
    margin: auto;
    font-size: 1rem;
  }

  .vt-form-button:not(:first-of-type) {
    margin-top: 0;
    margin-left: 30px;
  }
  .vt-form-confirmation .vt-form-button-container {
    width: 80%;
    margin: auto;
  }
}*/

@media print, screen and (min-width: 1401px) {
	.vt-form-button {
		font-size: 1.6rem;
	}
}

/*---------- 03-J Privacy Policy ----------*/

.vt-form-privacy-container {
  width: 100%;
  margin-top: 30px;
  padding: 30px;
  border-radius: var(--object-border-radius);
}

.vt-form-privacy-title {
  font-weight: bold;
}

.vt-form-privacy-text {
  margin: 10px 0;
  padding-bottom: 15px;
  text-align: justify;
  border-bottom: 1px solid var(--primary-border-color);
}

.vt-form-privacy-text a {
  color: var(--primary-color);
  font-weight: bold;
  text-decoration: underline;
}

@media print, screen and (min-width: 560px) {
  .vt-form-privacy-container {
    margin-top: 50px;
  }

  .vt-form-privacy-text {
    margin: 15px 0 20px;
    padding-bottom: 30px;
  }
}


/*------------------------------------------------
  04 Layout
------------------------------------------------*/

.vt-form-item {
  display: flex;
  flex-wrap: wrap;
}

.vt-form-item:nth-child(odd):not(:first-child) {
  margin-top: 30px;
}

.vt-form-item:nth-child(even) {
  margin-top: 10px;
}

@media print, screen and (min-width: 560px) {
  .vt-form-item:nth-child(odd):not(:first-child) {
    margin-top: 50px;
  }

  .vt-form-item:nth-child(even) {
    margin-top: 15px;
  }
}

/*---------- 04-A Column ----------*/

@media print, screen and (min-width: 560px) {
  .vt-form-layout-column .vt-form-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .vt-form-layout-column .vt-form-item:nth-child(odd) {
    display: flex;
    align-items: center;
    /*width: var(--layout-column-width);*/
    width: calc(var(--layout-column-width) - 5%);
    margin: 0;
  }
  .vt-form-layout-column .vt-form-item:nth-child(even) {
    width: calc((100% - (var(--layout-column-width) - 5%)) - 20px);
    margin: 0;
  }

  .vt-form-layout-column .vt-form-item:nth-of-type(n+2) {
    margin-top: 30px;
  }
}

@media print, screen and (min-width: 1001px) {
  .vt-form-layout-column .vt-form-item:nth-child(odd) {
    width: calc(var(--layout-column-width) + 5%);
  }
  .vt-form-layout-column .vt-form-item:nth-child(even) {
    width: calc((100% - (var(--layout-column-width) + 5%)) - 20px);
  }
}

@media print, screen and (min-width: 1301px) {
  .vt-form-layout-column .vt-form-item:nth-child(odd) {
    width: var(--layout-column-width);
  }
  .vt-form-layout-column .vt-form-item:nth-child(even) {
    width: calc((100% - var(--layout-column-width)) - 30px);
    margin: 0;
  }
  .vt-form-layout-column .vt-form-item:nth-of-type(n+2) {
    margin-top: 50px;
  }
}


/*------------------------------------------------
  05 Theme
------------------------------------------------*/

/*---------- 05-A Theme Solid ----------*/

.vt-form-theme-solid .vt-form-input {
  /*border-radius: var(--object-border-radius);*/
  background-color: var(--primary-bg-color);
}

.vt-form-theme-solid .vt-form-textarea {
  /*border-radius: var(--object-border-radius);*/
  background-color: var(--primary-bg-color);
}

.vt-form-theme-solid .vt-form-radio::before {
  border: var(--object-border-style);
  background-color: var(--primary-bg-color);
}

.vt-form-theme-solid .vt-form-radio::after {
  background-color: var(--primary-color);
}

.vt-form-theme-solid .vt-form-checkbox::before {
  border: var(--object-border-style);
  background-color: var(--primary-bg-color);
}

.vt-form-theme-solid .vt-form-checkbox::after {
  border-color: var(--primary-color);
}

.vt-form-theme-solid .vt-form-selectbox {
  background-color: var(--primary-bg-color);
}

.vt-form-theme-solid .vt-form-privacy-container {
  border: 1px solid var(--primary-border-color);
}

.vt-form-theme-solid .vt-form-privacy-text {
  border-color: var(--primary-border-color);
}


/*---------- 05-B Theme Line ----------*/

.vt-form-theme-line .vt-form-input {
  border: 1px solid var(--primary-border-color);
  background-color: #fff;
}

.vt-form-theme-line .vt-form-textarea {
  border: 1px solid var(--primary-border-color);
  background-color: #fff;
}

.vt-form-theme-line .vt-form-radio::before {
  border: 1px solid var(--primary-border-color);
  background-color: #fff;
}

.vt-form-theme-line input[type=radio]:checked + .vt-form-radio::before {
  border-color: var(--primary-color);
  background-color: var(--primary-color);
}

.vt-form-theme-line input[type=radio]:checked + .vt-form-radio::after {
  background-color: #fff;
}

.vt-form-theme-line .vt-form-checkbox::before {
  border: 1px solid var(--primary-border-color);
  background-color: #fff;
}

.vt-form-theme-line input[type=checkbox]:checked + .vt-form-checkbox::before {
  border-color: var(--primary-color);
  background-color: var(--primary-color);
}

.vt-form-theme-line input[type=checkbox]:checked + .vt-form-checkbox::after {
  border-color: #fff;
}

.vt-form-theme-line .vt-form-selectbox {
  border: 1px solid var(--primary-border-color);
  background-color: #fff;
}

.vt-form-theme-line .vt-form-privacy-container {
  border: none;
  background-color: var(--primary-bg-color);
}

/*------------------------------------------------
06* confirmation (確認画面)
------------------------------------------------*/

.vt-form-confirmation {}

.vt-form-confirmation input {
	padding: 0.5em;
	color: var(--primary-color);
	border: 1px solid var(--primary-color);
}

.vt-form-confirmation input:hover {
	opacity: 0.6;
}

.vt-form-confirmation-title {
  color: #0e357f;
  font-size: 2rem;
  text-align: center;
  margin: 25px 0;
}

.vt-form-confirmation-text {
  text-align: center;
}

.vt-form-confirmation-list {
  width: 100%;
  margin: 25px 0;
}

.vt-form-confirmation-list th,
.vt-form-confirmation-list td {
  display: block;
  width: 100%;
  text-align: left;
}
.vt-form-confirmation-list th {
  border-top: 1px solid #ccc;
  padding: 15px 15px 5px;
}
.vt-form-confirmation-list td {
  padding: 5px 15px 15px;
}

.vt-form-confirmation-list tr:last-of-type td{
  border-bottom: 1px solid #ccc;
}


@media print, screen and (min-width: 560px) {
  .vt-form-confirmation-title {
    font-size: 2.6rem;
    margin: 50px 0;
    border: 1px solid #f00;
  }
  .vt-form-confirmation-list {
    margin: 20px 0 50px;
  }
  .vt-form-confirmation-list th,
  .vt-form-confirmation-list td {
    display: table-cell;
    width: 100%;
    padding: 15px 25px;
    border-top: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
  }
  .vt-form-confirmation-list th {
    text-align: right;
    width: 25%;
  }
  .vt-form-confirmation-list td {
    width: auto;
  }
}

@media print, screen and (min-width: 769px) {
  .vt-form-confirmation-list th,
  .vt-form-confirmation-list td {
  	font-size: 1rem;
  }
}

@media print, screen and (min-width: 901px) {
	.vt-form-confirmation h4 {
		font-size: 0.9rem;
	}
	.vt-form-confirmation input {
		font-size: 0.9rem;
	}
	.vt-form-confirmation-list {
		width: 80%;
		margin-left: auto;
		margin-right: auto;
	}
	.vt-form-confirmation-list th, 
	.vt-form-confirmation-list td {
		font-size: 0.9rem;
		padding: 10px;
	}
}

@media print, screen and (min-width: 1001px) {
	.vt-form-confirmation h4 {
		font-size: 1.1rem;
	}
	.vt-form-confirmation input {
		font-size: 1.1rem;
	}
	.vt-form-confirmation-list {
		width: 90%;
	}
	.vt-form-confirmation-list th, 
	.vt-form-confirmation-list td {
		font-size: 1.1rem;
		padding: 12px;
	}
}

@media print, screen and (min-width: 1201px) {
	.vt-form-confirmation h4 {
		font-size: 1.3rem;
	}
	.vt-form-confirmation input {
		font-size: 1.3rem;
	}
	.vt-form-confirmation-list th, 
	.vt-form-confirmation-list td {
		font-size: 1.3rem;
		padding: 15px;
	}
}

@media print, screen and (min-width: 1401px) {
	.vt-form-confirmation h4 {
		font-size: 1.5rem;
	}
	.vt-form-confirmation input {
		font-size: 1.5rem;
	}
	.vt-form-confirmation-list th, 
	.vt-form-confirmation-list td {
		font-size: 1.5rem;
	}
}

@media print, screen and (min-width: 1501px) {
	.vt-form-confirmation h4 {
		font-size: 1.6rem;
	}
	.vt-form-confirmation input {
		font-size: 1.6rem;
	}
	.vt-form-confirmation-list th, 
	.vt-form-confirmation-list td {
		font-size: 1.6rem;
	}
}
